# The Docker image that will be used to build your app
image: sphinxdoc/sphinx
# Functions that should be executed before the build script is run
before_script: []
pages:
  script:
    - apt-get update
    - apt-get install -y pandoc
    - pip3 install sphinx-autoapi
    - pip3 install nbsphinx
    - pip3 install pydata-sphinx-theme
    - sphinx-build -b html doc public
  pages: True
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
